import service from '@/utils/axios';
import { baseURL4 } from '../../constant';

//复制到
export const TaskCopy = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/CopyFromPosition',
    data,
    baseURL: baseURL4,
  });
};

//补漏
export const TaskRepairSen = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/RepairSensorData',
    data,
    baseURL: baseURL4,
  });
};

//趋势
export const TaskDataSensor = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/DataSensorDataTrend',
    data,
    baseURL: baseURL4,
  });
};

//偏移随机
export const TaskUpdateRand = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/UpdateRand',
    data,
    baseURL: baseURL4,
  });
};

//偏移固定
export const TaskUpdateFix = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/UpdateFix',
    data,
    baseURL: baseURL4,
  });
};
//平滑
export const TaskSmooth = (data) => {
  return service.request({
    method: 'POST',
    url: '/TaskData/DataSensorDataSmooth',
    data,
    baseURL: baseURL4,
  });
};
